HelloAckMsg
Keywords: uk.ac.ic.doc.rodex.p2p.messages.applicationlayer.HelloAckMsg class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.rodex.p2p.messages.applicationlayer
Class HelloAckMsg

    java.lang.Object
      uk.ac.ic.doc.rodex.p2p.messages.applicationlayer.HelloMsg
          uk.ac.ic.doc.rodex.p2p.messages.applicationlayer.HelloAckMsg

All Implemented Interfaces:
  ApplicationMessage

    public class HelloAckMsg

extends HelloMsg

HelloAckMsg.java
The Hello acknowledgement message

Author:
  Duc M Le dmle@doc.ic.ac.uk
  Created on April 18, 2006
  Department of Computing, Imperial College

Field Summary

Fields inherited from class uk.ac.ic.doc.rodex.p2p.messages.applicationlayer.HelloMsg
`address, authentication, domain, name, port, yourAddress`

Constructor Summary
`HelloAckMsg(java.lang.String domain, java.lang.String name, java.lang.String address)`
`HelloAckMsg(java.lang.String domain, java.lang.String name, java.lang.String address, int port, AuthenticationTuple authentication)` Creates a new instance of HelloMsg

Method Summary
`java.lang.String` | `getContext()` Return the message context
`java.lang.String` | `getPerformative()` Return the message's performative

Methods inherited from class uk.ac.ic.doc.rodex.p2p.messages.applicationlayer.HelloMsg
`createFrom, getAbstractMessage, getAddress, getAuthentication, getDomain, getEncryption, getName, getPassword, getPort, getUserName, getYourAddress, setAddress, setName, setPort, setYourAddress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelloAckMsg

    public HelloAckMsg(java.lang.String domain,
                       java.lang.String name,
                       java.lang.String address,
                       int port,
                       AuthenticationTuple authentication)

  Creates a new instance of HelloMsg

  Parameters:
    `domain` - domain name of the peer
    `name` - peer's name on the network
    `address` - IP address of the peer
    `port` - peer's daemon port (optional)
    `authentication` - if not `null` then a shared-key
    authentication is required

### HelloAckMsg

    public HelloAckMsg(java.lang.String domain,
                       java.lang.String name,
                       java.lang.String address)

Method Detail

### getPerformative

    public java.lang.String getPerformative()

  Return the message's performative

  Specified by:
    `getPerformative` in interface `ApplicationMessage`
  Overrides:
    `getPerformative` in class `HelloMsg`

### getContext

    public java.lang.String getContext()

  Return the message context

  Specified by:
    `getContext` in interface `ApplicationMessage`
  Overrides:
    `getContext` in class `HelloMsg`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD